Skip to main content

List Invites belonging to a Project

GET/v2/projects/{projectId}/invites
API version
v2
Request method
GET
Operation ID
project-list-invites-for-project

Request​

  • projectIdstringrequired

    ID of the Project to list invites for.

Responses​

Response headers
  • X-Pagination-Limitinteger

    The limit used to select the resources for the response

  • X-Pagination-Skipinteger

    The number of skipped items

  • X-Pagination-Pagenumber

    The calculate page of the list response. Refer to parameters to learn more.

  • X-Pagination-TotalCountinteger

    The total amount of items available in the remote ressource. Use this value in combination with the limit to calculate the available pages.

Format
application/json
Description

OK

  • Array[
    • *object
      • avatarRefIdstring (uuid)

        Reference to the Project's avatar.

      • idstring (uuid)required

        ID of the ProjectInvite.

      • informationobjectrequired
        • invitationTokenstring

          Token for authentication purposes.

        • invitedBystring (uuid)required

          ID of the user that created the invite.

      • mailAddressstring (email)required

        Mail-address of the user the ProjectInvite is for.

      • membershipExpiresAtstring (date-time)

        Time the ProjectMembership should expire at.

      • messagestring

        Message contained in the ProjectInvite.

      • projectDescriptionstringrequired

        Description of the Project the invite is created for.

      • projectIdstring (uuid)required

        ID of the Project the invitation is for.

      • rolestring (one of: notset, owner, emailadmin, external)required
    ]
Content-Type: application/json

[
{
"avatarRefId": "f0f86186-0a5a-45b2-aa33-502777496347",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"information": {
"invitationToken": "string",
"invitedBy": "f0f86186-0a5a-45b2-aa33-502777496347"
},
"mailAddress": "email@mittwald.example",
"membershipExpiresAt": "1985-10-26T01:21:00.000Z",
"message": "string",
"projectDescription": "string",
"projectId": "f0f86186-0a5a-45b2-aa33-502777496347",
"role": "notset"
}
]
{
"items": {
"properties": {
"avatarRefId": {
"description": "Reference to the Project's avatar.",
"format": "uuid",
"type": "string"
},
"id": {
"description": "ID of the ProjectInvite.",
"format": "uuid",
"type": "string"
},
"information": {
"properties": {
"invitationToken": {
"description": "Token for authentication purposes.",
"type": "string"
},
"invitedBy": {
"description": "ID of the user that created the invite.",
"format": "uuid",
"type": "string"
}
},
"required": [
"invitedBy"
],
"type": "object"
},
"mailAddress": {
"description": "Mail-address of the user the ProjectInvite is for.",
"format": "email",
"type": "string"
},
"membershipExpiresAt": {
"description": "Time the ProjectMembership should expire at.",
"format": "date-time",
"type": "string"
},
"message": {
"description": "Message contained in the ProjectInvite.",
"type": "string"
},
"projectDescription": {
"description": "Description of the Project the invite is created for.",
"type": "string"
},
"projectId": {
"description": "ID of the Project the invitation is for.",
"format": "uuid",
"type": "string"
},
"role": {
"enum": [
"notset",
"owner",
"emailadmin",
"external"
],
"type": "string"
}
},
"required": [
"id",
"projectId",
"mailAddress",
"role",
"information",
"projectDescription"
],
"type": "object"
},
"type": "array"
}

Usage examples​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/projects/string/invites?searchTerm=string&limit=50&page=1
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.listInvitesForProject({
"projectId": "string",
"queryParameters": {
"searchTerm": "string",
"limit": 50,
"page": 1
}
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Project\ListInvitesForProject\ListInvitesForProjectRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new ListInvitesForProjectRequest(
projectId: "string"
))
->withSearchTerm("string")
->withLimit(50)
->withPage(1);
$response = $client->project()->listInvitesForProject($request);

var_dump($response->getBody();

On this page